Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Interface WLMessageFactory

All Known Implementing Classes:
  JMSMessageFactoryImpl

    public interface WLMessageFactory

A WLMessageFactory provides vendor specific methods not supported by JMS specification.

WLMessageFactory provides methods for the following:

- Creating JMS Message
- Creating JMS Bytes Message
- Creating JMS Map Message
- Creating JMS Object Message
- Creating JMS Stream Message
- Creating JMS Text Message
- Creating JMS XML Message

See Also:
  `Message`, `BytesMessage`, `MapMessage`, `ObjectMessage`, `StreamMessage`, `TextMessage`, `XMLMessage`

Method Summary
`BytesMessage` | `createBytesMessage()` Create JMS BytesMessage.
`MapMessage` | `createMapMessage()` Create JMS MapMessage.
`Message` | `createMessage()` Create JMS Message.
`Message` | `createMessage(Document jmsMessageDocument)` Create JMS Message.
`ObjectMessage` | `createObjectMessage()` Create JMS ObjectMessage.
`ObjectMessage` | `createObjectMessage(Serializable object)` Create JMS ObjectMessage.
`StreamMessage` | `createStreamMessage()` Create JMS StreamMessage.
`TextMessage` | `createTextMessage()` Create JMS TextMessage.
`TextMessage` | `createTextMessage(String string)` Create JMS TextMessage.
`TextMessage` | `createTextMessage(StringBuffer buffer)` Create JMS TextMessage.
`XMLMessage` | `createXMLMessage()` Create WebLogic specific JMS XMLMessage.
`XMLMessage` | `createXMLMessage(Document document)` Create WebLogic specific JMS XMLMessage.
`XMLMessage` | `createXMLMessage(String string)` Create WebLogic specific JMS XMLMessage.

Method Detail

### createMessage

    Message createMessage()

  Create JMS Message.

  Returns:
    JMS Message.
  See Also:
    `Message`

### createMessage

    Message createMessage(Document jmsMessageDocument)
                          throws DOMException,
                                 JMSException,
                                 IOException,
                                 ClassNotFoundException

  Create JMS Message.

  Parameters:
    `jmsMessageDocument` - - either WebLogic JMS Message Document or application document. If it is null then this is the same as calling the createMessage method without argument.
  Returns:
    JMS Message.
  Throws:
    `DOMException`
    `JMSException`
    `IOException`
    `ClassNotFoundException`
  See Also:
    `Message`, `Document`

### createBytesMessage

    BytesMessage createBytesMessage()

  Create JMS BytesMessage.

  Returns:
    JMS BytesMessage.
  See Also:
    `BytesMessage`

### createMapMessage

    MapMessage createMapMessage()

  Create JMS MapMessage.

  Returns:
    JMS MapMessage.
  See Also:
    `MapMessage`

### createObjectMessage

    ObjectMessage createObjectMessage()

  Create JMS ObjectMessage.

  Returns:
    JMS ObjectMessage.
  See Also:
    `ObjectMessage`

### createObjectMessage

    ObjectMessage createObjectMessage(Serializable object)
                                      throws JMSException

  Create JMS ObjectMessage.

  Parameters:
    `Serializable.` -
  Returns:
    JMS ObjectMessage.
  Throws:
    `JMSException`
  See Also:
    `ObjectMessage`

### createStreamMessage

    StreamMessage createStreamMessage()

  Create JMS StreamMessage.

  Returns:
    JMS StreamMessage.
  See Also:
    `StreamMessage`

### createTextMessage

    TextMessage createTextMessage()

  Create JMS TextMessage.

  Returns:
    JMS TextMessage.
  See Also:
    `TextMessage`

### createTextMessage

    TextMessage createTextMessage(String string)

  Create JMS TextMessage.

  Parameters:
    `String.` -
  Returns:
    JMS TextMessage.
  See Also:
    `TextMessage`

### createTextMessage

    TextMessage createTextMessage(StringBuffer buffer)

  Create JMS TextMessage.

  Parameters:
    `StringBuffer.` -
  Returns:
    JMS TextMessage.
  See Also:
    `TextMessage`

### createXMLMessage

    XMLMessage createXMLMessage()

  Create WebLogic specific JMS XMLMessage.

  Returns:
    JMS XMLMessage.
  See Also:
    `XMLMessage`

### createXMLMessage

    XMLMessage createXMLMessage(String string)

  Create WebLogic specific JMS XMLMessage.

  Parameters:
    `String.` -
  Returns:
    JMS XMLMessage.
  See Also:
    `XMLMessage`

### createXMLMessage

    XMLMessage createXMLMessage(Document document)
                                throws JMSException

  Create WebLogic specific JMS XMLMessage.

  Parameters:
    `document` - A DOM Document object
  Returns:
    JMS XMLMessage.
  Throws:
    `JMSException`
  See Also:
    `XMLMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD